## org.apache.poi.ss.usermodel.charts
Enum LayoutMode

    java.lang.Object
      java.lang.Enum<LayoutMode>
          org.apache.poi.ss.usermodel.charts.LayoutMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LayoutMode>

    public enum LayoutMode

extends java.lang.Enum<LayoutMode>

Specifies the possible ways to store a chart element's position.

Author:
  Roman Kashitsyn

Enum Constant Summary
`EDGE` Specifies that the Width or Height shall be interpreted as the Right or Bottom of the chart element.
`FACTOR` Specifies that the Width or Height shall be interpreted as the Width or Height of the chart element.

Method Summary
`static LayoutMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LayoutMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EDGE

    public static final LayoutMode EDGE

  Specifies that the Width or Height shall be interpreted as the Right or Bottom of the chart element.

### FACTOR

    public static final LayoutMode FACTOR

  Specifies that the Width or Height shall be interpreted as the Width or Height of the chart element.

Method Detail

### values

    public static LayoutMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LayoutMode c : LayoutMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LayoutMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.